<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="alternative" revision="25" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/alternative">
    <judging input-file="alternative.in" output-file="alternative.out">
        <testset name="tests">
            <time-limit>1000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>26</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual"/>
                <test cmd="gen 4927103 1 0 _" method="generated"/>
                <test cmd="gen 4419480 2 0 _" method="generated"/>
                <test cmd="gen 9020222 2 1 _" method="generated"/>
                <test cmd="gen 4658234 3 1 _" method="generated"/>
                <test cmd="gen 653983 5 1 _" method="generated"/>
                <test method="manual"/>
                <test cmd="gen 266343 10 7 nmu1" method="generated"/>
                <test cmd="gen 9339453 20 13 linr" method="generated"/>
                <test cmd="gen 5624902 106 23 _" method="generated"/>
                <test cmd="gen 765230 537 2 _" method="generated"/>
                <test cmd="gen 2435842 1297 909 _" method="generated"/>
                <test cmd="gen 39274 2601 2600 nmu1" method="generated"/>
                <test cmd="gen 3659842 4197 2999 linr" method="generated"/>
                <test cmd="gen 493738 5964 753 _" method="generated"/>
                <test cmd="gen 1069493 10010 4344 _" method="generated"/>
                <test cmd="gen 453953 47210 39400 _" method="generated"/>
                <test cmd="gen 3566775 90346 10339 _" method="generated"/>
                <test cmd="gen 4063430 100000 72306 _" method="generated"/>
                <test cmd="gen 123124 100000 90932 nmu1" method="generated"/>
                <test cmd="gen 494553 100000 81349 linr" method="generated"/>
                <test cmd="genstar 349532 100000" method="generated"/>
                <test cmd="gen 23452 100000 99999 _" method="generated"/>
                <test cmd="gen 949643 100000 0 _" method="generated"/>
                <test cmd="gen 345983 100000 45 _" method="generated"/>
                <test cmd="gen 12355 100000 32891 _" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/main.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/main.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/gen.dpr" type="pas.dpr"/>
                </source>
                <binary>
                    <file path="files/gen.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/genstar.dpr" type="pas.dpr"/>
                </source>
                <binary>
                    <file path="files/genstar.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::hcmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/main.cpp" type="cpp.g++"/>
            <binary path="files/main.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="wrong-answer">
                <source path="solutions/sol_ap_up_wa_root.dpr" type="pas.dpr"/>
                <binary path="solutions/sol_ap_up_wa_root.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol_ap_up_ok.dpr" type="pas.dpr"/>
                <binary path="solutions/sol_ap_up_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_ap_up_ok.cpp" type="cpp.g++"/>
                <binary path="solutions/sol_ap_up_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/alternative_sf_int.cpp" type="cpp.g++"/>
                <binary path="solutions/alternative_sf_int.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_ap_up_wa_start.dpr" type="pas.dpr"/>
                <binary path="solutions/sol_ap_up_wa_start.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_ap_up_wa_int64.dpr" type="pas.dpr"/>
                <binary path="solutions/sol_ap_up_wa_int64.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/alternative_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/alternative_sf.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_ap_dyn_ok.dpr" type="pas.dpr"/>
                <binary path="solutions/sol_ap_dyn_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/sol_ap_up_wa_int64.cpp" type="cpp.g++"/>
                <binary path="solutions/sol_ap_up_wa_int64.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Путешествия в реальности"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <tags>
        <tag value="graph search"/>
        <tag value="moscow team"/>
    </tags>
</problem>
